Subject: bug#65094: closed (Re: bug#65094: 30.0.50; '/ u' is missing in menu bar under Package)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Aug 2023 07:04:02 +0000

Your bug report

#65094: 30.0.50; '/ u' is missing in menu bar under Package

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65094: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65094
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65094: 30.0.50; '/ u' is missing in menu bar under Package
From: Eli Zaretskii <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Sun, 06 Aug 2023 10:03:54 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arash Esbati <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 05 Aug 2023 22:06:14 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but can we make the help-echo string a bit more helpful, by
> > not just repeating what the item's name says?  What does it mean "by
> > upgradeability" -- does it mean only packages that can be upgraded
> > will be shown? if so, let's say so.
> >
> > (Yes, I know the other help-echo are also of this kind, but that
> > doesn't mean they are a good example to follow...)
> 
> My choice was driven solely by symmetry to the other entries.  Maybe
> something like this:

Thanks, installed.  But what I had in mind is the kind of changes I
made in the followup commit, please take a look.

Closing the bug.

Subject: 30.0.50; '/ u' is missing in menu bar under Package
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Sat, 05 Aug 2023 14:14:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

is there a specific reason why `package-menu-filter-upgradable' bound to
'/ u' is missing in package menu under "Package -> Filter packages"?
All other filtering commands described in the manual[1] are available
there.

`package-menu-filter-upgradable' was added with commit 8c96c720fa.

Best, Arash

Footnotes:
[1]  https://www.gnu.org/software/emacs/manual/html_node/emacs/Package-Menu.html